- Returns all installment schedules by order id
Returns all installment schedules by order id
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/installmentSchedules/{tenantId}/order/{orderId}
- https://collect.api.rhythmsoftware.comhttps://collect.api.rhythmsoftware.com/installmentSchedules/{tenantId}/order/{orderId}
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/installmentSchedules/{tenantId}/order/{orderId}?fields=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'The installment schedule was retrieved successfully
The amount of outstanding on the pledge
The currency this schedule should be billing
The last time this schedule was processed
The date that the last reminder was sent for this schedule having a declined payment
Whether or not we are billing for processing fees
The number of payments remaining on the pledge
The status of the schedule
If the schedule is suspended, the date until which it is suspended
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
[ { "amount_billed": 0.1, "amount_outstanding": 0.1, "billing_address": { … }, "business_unit_id": "string", "contact_id": "string", "currency_code": "AED", "date_cancelled": "2019-08-24T14:15:22Z", "date_last_processed": "2019-08-24T14:15:22Z", "date_of_last_reminder": "2019-08-24T14:15:22Z", "electronic_payment_info": { … }, "entries": [ … ], "error_message": "string", "id": "string", "invoice_terms_id": "string", "merchant_account_id": "string", "next_processing_date": "string", "notes": "string", "number": 0.1, "order_process_id": "string", "order_type": "string", "organization_id": "string", "owner_type": "contact", "pay_for_credit_card_processing_fees": true, "remaining_number_of_installments": 0.1, "status": "active", "store_id": "string", "suspended_until": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ … ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "use_pro_forma_invoices": true } ]